<?php

function mdv_recent_posts($no_posts = 80, $before = '<li>', $after = '</li>', $hide_pass_post = true, $skip_posts = 0, $show_excerpts = false, $include_pages = false) {
    global $wpdb;
	$time_difference = get_settings('gmt_offset');
	$now = gmdate("Y-m-d H:i:s",time());
    $request = "SELECT ID, post_title, post_excerpt FROM $wpdb->posts WHERE post_status = 'publish' ";
	if($hide_pass_post) $request .= "AND post_password ='' ";
	if($include_pages) $request .= "AND (post_type='post' OR post_type='page') ";
	else $request .= "AND post_type='post' ";
	$request .= "AND post_date_gmt < '$now' ORDER BY post_date DESC LIMIT $skip_posts, $no_posts";
    $posts = $wpdb->get_results($request);
	$output = '';
    if($posts) {
		foreach ($posts as $post) {
			$post_title = stripslashes($post->post_title);
			$permalink = get_permalink($post->ID);
			$output .= $before . '<a href="' . $permalink . '" rel="bookmark" title="Permanent Link: ' . htmlspecialchars($post_title, ENT_COMPAT) . '">' . htmlspecialchars($post_title) . '</a>';
			if($show_excerpts) {
				$post_excerpt = stripslashes($post->post_excerpt);
				$output.= '<br />' . $post_excerpt;
			}
			$output .= $after;
		}
	} else {
		$output .= $before . "None found" . $after;
	}
    echo $output;
}


 ?>
 

			
			<div id="sidebar">
		    <div id="sidebar-header"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/feed.gif"  alt="" /></div>
		    <div class="sidebar-box0">
			 <div class="sidebar-box-header">RSS - Подписка</div>
			   <div class="side-images">
			<a href="#"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/image.gif"  alt="" /></a>
			<a href="#"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/image.gif"  alt="" /></a>
			   </div>
			</div>
			<div class="sidebar-box1">
			 <div class="sidebar-box-header">Свежие посты</div>
			 <ul>
			   <?php get_archives('postbypost', '10', 'custom', '<li>', '<div class="clear"></div></li>'); ?>    
			 </ul>
			</div>
<div class="sidebar-box2">
			 <div class="sidebar-box-header">Популярные посты</div>
		        <ul><?php if(function_exists('akpc_most_popular')) { akpc_most_popular(); } ?>
 			 </ul>
			</div>
		</div>

